# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: PayTabs
    class: XC\PayTabs\Model\Payment\Processor\PayTabs
    type: C
    countries: [AE, EG, IQ, JO, KW, OM, PSE, SA]
    translations: [{code: en, name: PayTabs}]
    settings: [{name: profile_id}, {name: server_key}, {name: transaction_type}]
XLite\Model\LanguageLabel:
  - name: 'Don''t have an account yet? Sign Up Now'
    translations: [{code: en, label: 'Don''t have an account yet? <a href="{{link}}" target="_blank">Sign Up Now</a>'}]
  - name: 'IPN Listener URL'
    translations: [{code: en, label: 'IPN Listener URL'}]
  - name: 'PayTabs callback URL help'
    translations: [{code: en, label: 'To ensure that the statuses of payment transactions and refunds in your store are updated automatically, specify this URL in the profile settings on your PayTabs dashboard: Developers -> Payment Notifications'}]
  - name: 'Profile ID'
    translations: [{code: en, label: 'Profile ID'}]
  - name: 'Refund request has been successfully sent'
    translations: [{code: en, label: 'Refund request has been successfully sent'}]
  - name: 'Server key'
    translations: [{code: en, label: 'Server key'}]
  - name: 'This payment solution requires some address fields enabled'
    translations: [{code: en, label: 'This payment solution requires some address fields enabled. Make sure you have enabled the address fields with the following service names: firstname, lastname, street, city, country_code, state_id, zipcode, phone. You can check it on <a href="/admin/?target=address_fields" target="_blank">the address fields page</a>.'}]
  - name: 'You can find Profile ID on your PayTabs dashboard'
    translations: [{code: en, label: 'You can find your profile ID in your PayTabs dashboard, under the "Profile" section.'}]
  - name: 'You can find Server Key on your PayTabs dashboard'
    translations: [{code: en, label: 'The server key can be found in your PayTabs dashboard, under the "Developers" > "Key management" section. Client key is not required.'}]
